﻿@{
    Layout = "_LayoutBase.cshtml";
}

@section CustomHeaders{
    @RenderSection("CustomHeaders", required: false)
}

<div id="site" style="transform: none !important;" data-slideout-ignore>
    <input type="checkbox" id="header-menu-switch" />

    <header class="header-fixed">

        <nav class="top-bar">
            <div class="header-container first-header">
                <div class="menu-logo">
                    <div class="logo">
                        <a href="#">
                            <img alt="logo" src="/Content/Images/logo-web.jpg">
                        </a>
                    </div>
                </div>
            </div>
        </nav>

        <div class="contact-bar">
            <div class="greeting"></div>
            <div class="contact-numbers">
                <div class="contact-number-item">
                    Envíos a todo el país 
                </div>
                <div class="contact-number-item">
                    <a href="https://api.whatsapp.com/send?phone=5491168903506&amp;text=Hola%20Fibrahumana,%20tengo%20una%20consulta." target="_blank">
                        <i class="fa fa-whatsapp green" aria-hidden="true"></i> (11) 6890-3506
                    </a>
                </div>
                <div class="contact-number-item">
                    <a href="tel:1170788020">
                        <i class="fa fa-phone black" aria-hidden="true"></i> (011) 7078-8020
                    </a>
                </div>
            </div>
        </div>

    </header>

    <main class="content">
        @RenderBody()
    </main>

    <footer>
        
    </footer>
</div>


@section Scripts{

    <script>

        var rootPath;

        $(document).ready(function ()
        {
            HandleFixedMenu();
        });

        function GetPopupSrc() {
            $.ajax({
                type: "GET",
                url: "/Account/GetPopupSrc",
                success: function (data) {
                    if (data.Src != "" && data.Src != "") {
                        $('.js-popupsrc').attr('src', data.Src);
                        $('.js-popuplink').attr('href', data.Link);
                        $('body').addClass('m--popup-banner');
                    }
                    else {
                        $('body').removeClass('m--popup-banner');
                    }
                }
            });
        }

        function LoadMobileSaleLink() {
            var url = $('#sale').attr('href');
            $('.js-sale-mobile').attr('href', url);
        }

        function HandleFixedMenu() {
            $(document).on('scroll', function () {
                if (window.innerWidth > 1024) {
                    var scroll = $(this).scrollTop();

                    var threshold = !($('.top-banner').hasClass('hidden')) ? $('.top-banner').outerHeight() + $('.top-bar').outerHeight() - 10 : 0

                    var fix = scroll > threshold;
                    $('.logo-left').toggleClass('hide', !fix);
                }
            });
        }


    </script>

    @RenderSection("Scripts", required: false)

}